Bug 146287 - CAN-2005-0162 buffer overflow in openswan
CAN-2005-0162 buffer overflow in openswan
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openswan (Show other bugs)
3
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Harald Hoyer
impact=critical,public=20050126
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-26 13:32 EST by Josh Bressers
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-18 04:41:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-01-26 13:32:46 EST
http://www.idefense.com/application/poi/display?id=190&type=vulnerabilities&flashstatus=true

That advisory has information and a patch regarding a buffer overflow
in openswan.  It is possible that a remote attacker could execute
arbitrary code as the user running the pluto deamon.
Comment 2 Harald Hoyer 2005-01-27 06:15:41 EST
It's not _that_ bad, because openswan was compiled with -pie, so it is
very unlikely, that code could be executed. DOS attacks could happen
though.
Comment 3 Mark J. Cox (Product Security) 2005-01-28 04:19:30 EST
This is CAN-2005-0162
Comment 4 Ken Bantoft 2005-03-17 10:21:34 EST
Fixed upstream awhile ago - 2.3.0
Comment 5 Mark J. Cox (Product Security) 2005-03-18 04:41:34 EST
FEDORA-2005-082 pushed on 2005-01-28

Note You need to log in before you can comment on or make changes to this bug.